package cn.bsl.bxbg.zhiban.fragment;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.Unbinder;
import cn.bsl.bxbg.zhiban.R;
import cn.bsl.bxbg.zhiban.adapter.TiaobanInfoAdapter;
import cn.bsl.bxbg.zhiban.net.client.DutyPlanClient;
import cn.bsl.bxbg.zhiban.net.response.CCShifts;
import cn.bsl.bxbg.zhiban.net.response.CCShiftsInclude;
import cn.bsl.bxbg.zhiban.view.TiaobanDetailsActivity;
import retrofit2.Call;
import retrofit2.Callback;
import retrofit2.Response;

/**
 * Created by Xinghx on 2018/4/15
 */

public class TiaoBanNotFinishFragment extends BaseFragment implements AdapterView.OnItemClickListener{
    private DutyPlanClient dutyPlanClient = new DutyPlanClient();
    View rootView;
    @BindView(R.id.not_finish_lv)
    ListView notFinishLv;
    @BindView(R.id.none)
    TextView none;

    Unbinder unbinder;
    private List<CCShifts> ccShift;

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        rootView = inflater.inflate(R.layout.waitme_fragment, container, false);
        unbinder = ButterKnife.bind(this, rootView);
        initData();
        notFinishLv.setOnItemClickListener(this);
        return rootView;
    }

    private void initData() {
        dutyPlanClient.shiftInclNotFinish().enqueue(new Callback<List<CCShiftsInclude>>() {
            @Override
            public void onResponse(Call<List<CCShiftsInclude>> call, Response<List<CCShiftsInclude>> response) {
                List<CCShiftsInclude> body = response.body();
                ccShift = new ArrayList<>();
                for (CCShiftsInclude ccShiftsInclude : body) {
                    CCShiftsInclude.IncludesBean.CcDutyBean cc_duty = ccShiftsInclude.getIncludes().getCc_duty();
                    if (cc_duty != null) {

                        CCShifts ccShifts = new CCShifts();
                        ccShifts.setId(ccShiftsInclude.getSuperior().getId());
                        ccShifts.setApplicantId(ccShiftsInclude.getSuperior().getApplicantId());
                        ccShifts.setApplicant(ccShiftsInclude.getSuperior().getApplicant());
                        ccShifts.setTransferredName(ccShiftsInclude.getSuperior().getTransferredName());
                        ccShifts.setTransferredClass(ccShiftsInclude.getSuperior().getTransferredClass());
                        ccShifts.setShiftTime(ccShiftsInclude.getSuperior().getShiftTime());
                        ccShifts.setApplicantDutyId(ccShiftsInclude.getSuperior().getApplicantDutyId());
                        ccShifts.setLastUpdateTime(ccShiftsInclude.getSuperior().getLastUpdateTime());
                        ccShift.add(ccShifts);
                    }
                }
//                ccShift = response.body();
                if (ccShift != null && ccShift.size() > 0) {
                    notFinishLv.setAdapter(new TiaobanInfoAdapter(ccShift));
                }
            }

            @Override
            public void onFailure(Call<List<CCShiftsInclude>> call, Throwable t) {
                t.printStackTrace();
            }
        });
    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
        unbinder.unbind();
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        Intent intent = new Intent(getActivity(),TiaobanDetailsActivity.class);
        intent.putExtra("id", ccShift.get(position).getId());
        startActivity(intent);
    }
}
